Loading...
Searching...
No Matches
Dune::NullPointerInitialiser< T > Struct Template Reference
Common » Utilities » Tuple Utilities

A helper template that initializes a std::tuple consisting of pointers to nullptr. More...

Inheritance diagram for Dune::NullPointerInitialiser< T >:

## Detailed Description

template<class T>
struct Dune::NullPointerInitialiser< T >

A helper template that initializes a std::tuple consisting of pointers to nullptr.

A std::tuple of nullptr may be useful when you use a std::tuple of pointers in a class which you can only initialise in a later stage.

The documentation for this struct was generated from the following file:

- tupleutility.hh